Subject: Re: [IPFIX] draft-ietf-ipfix-mib-variable-export-03

From: Andrew Feren <[email-masked]>
Date: Thu, 7 Nov 2013 10:19:56 -0800

Hi Paul and Colin,

This draft is quite clever and headed in the right direction.

I am confused by Figure 14 with a "Set ID = ??"  Is this left from the
earlier version?

I like the goal of

On 10/22/2013 03:35 AM, Paul Aitken wrote:
> Dear IPFIX experts,
>
> We've rewritten the IPFIX MIB export draft to use regular IPFIX option
templates rather than extended field specifiers.
>
> We'd appreciate your feedback whether this seems about right.
Honestly I kind of liked the original export method, but I have been
mostly convinced that there is some benefit to this new method.  Mostly
that it at least allows existing collectors to use known IEs and get
some data while ignoring SNMP elements until the work is done to fully
implement collection of SNMP data over IPFIX.  This fits with the stated
goal to "augmented [an existing Template Record] with some MIB variables
whose index was already present in the Template Record as an IPFIX
Information Element". Although this draft also allows more than that so
how much practical use the backwards compatibility is will likely depend
on exactly what is ultimately exported.

The collector has to do a bit of correlation of different pieces to get
there, but in the end I get a template with specific IEs.  This aligns
nicely with how regular templates work.

> Also your feedback on two TBD issues in the text:
>
> 1. Should there be a single "mibObjectValue" IE, combined with a
"mibObjectBaseSyntax" IE to define the type?
>     Or, should there be multiple "value" IEs, one per RFC 2578 type
(eg, mibObjectIntegerValue, mibObjectIpAddressValue, ...) ?
I think having multiple value IEs (one per data type) is nice, but I'm
not sure it is strictly necessary.  At least not if this draft is fully
implemented.  As I noted above, once all the templates are correlated
the collector should know the type of each element unambiguously.  That
said I think my personal bias is still for one value / type.  I suspect
that will simplify some things once I dive in and try implementing any
of this.
>
> 2. Should we consolidate the RFC 2578 ObjectSyntax with the RFC5610 /
[IANA- DATATYPES] types?
I think yes.
>
> Thanks,
> Paul and Colin.
>
>
> -------- Original Message --------
> Subject:     [Sender: [email-masked]] [IPFIX] I-D Action:
draft-ietf-ipfix-mib-variable-export-03.txt
> Date:     Mon, 21 Oct 2013 14:58:48 -0700
> From:     [email-masked]
> To:     [email-masked]
> CC:     [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>  This draft is a work item of the IP Flow Information Export Working
Group of the IETF.
>
>     Title           : Exporting MIB Variables using the IPFIX Protocol
>     Author(s)       : Paul Aitken
>                           Benoit Claise
>                           Colin McDowall
>                           Juergen Schoenwaelder
>     Filename        : draft-ietf-ipfix-mib-variable-export-03.txt
>     Pages           : 56
>     Date            : 2013-10-21
>
> Abstract:
>    This document specifies a way to complement IPFIX Data Records with
>    Management Information Base (MIB) objects, avoiding the need to
>    define new IPFIX Information Elements for existing Management
>    Information Base objects that are already fully specified.
>
>    An IPFIX Option Template and method are specified, which are used to
>    export the extra information required to fully describe Simple
>    Network Management Protocol (SNMP) MIB Objects.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-ipfix-mib-variable-export
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-ipfix-mib-variable-export-03
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-ipfix-mib-variable-export-03
>
>
> Please note that it may take a couple of minutes from the time of
submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix